package com.landray.kmss.sys.attachment.actions;

import com.landray.kmss.web.config.IActionConfig;
import java.util.Map;
import com.landray.kmss.web.config.ForwardConfig;
import com.landray.kmss.util.KmssReturnPage;
import com.landray.kmss.util.StringUtil;
import com.landray.kmss.util.KmssMessages;
import com.landray.kmss.web.action.ActionForward;
import javax.servlet.http.HttpServletResponse;
import com.landray.kmss.web.action.ActionForm;
import com.landray.kmss.web.action.ActionMapping;
import com.landray.kmss.common.service.IBaseService;
import javax.servlet.http.HttpServletRequest;
import com.landray.kmss.sys.attachment.integrate.wps.interfaces.ISysAttachmentWpsAddinProvider;
import com.landray.kmss.common.actions.ExtendAction;

public class SysAttConfigAction extends ExtendAction
{
    private ISysAttachmentWpsAddinProvider sysAttachmentWpsAddinProvider;
    
    private ISysAttachmentWpsAddinProvider getSysAttachmentWpsAddinProvider() {
        if (this.sysAttachmentWpsAddinProvider == null) {
            this.sysAttachmentWpsAddinProvider = (ISysAttachmentWpsAddinProvider)this.getBean("sysAttachmentWpsAddinProviderImp");
        }
        return this.sysAttachmentWpsAddinProvider;
    }
    
    protected IBaseService getServiceImp(final HttpServletRequest request) {
        return null;
    }
    
    public ActionForward handleWpsOfficeToken(final ActionMapping mapping, final ActionForm form, final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final KmssMessages messages = new KmssMessages();
        final String cookieAdmin = request.getParameter("cookieAdmain");
        final String thirdWpsWebOfficeEnabled = request.getParameter("thirdWpsWebOfficeEnabled");
        try {
            if (StringUtil.isNotNull(thirdWpsWebOfficeEnabled) && "true".equalsIgnoreCase(thirdWpsWebOfficeEnabled)) {
                this.getSysAttachmentWpsAddinProvider().addinAuthentication(cookieAdmin);
            }
            else {
                this.getSysAttachmentWpsAddinProvider().deleteToken();
            }
        }
        catch (final Exception e) {
            messages.addError((Throwable)e);
        }
        KmssReturnPage.getInstance(request).addMessages(messages).addButton(1).save(request);
        if (messages.hasError()) {
            return mapping.findForward("failure");
        }
        return mapping.findForward("success");
    }
}
